@keyframes slidy2 {
0% { left: 0%; }
15% { left: 0%; }
20% { left: -100%; }
40% { left: -100%; }
45% { left: -200%; }
60% { left: -200%; }
65% { left: -295%; }
80% { left: -295%; }
85% { left: -390%; }
100% { left: -390%; }
}

body { margin: 0; } 
div#slider2 { overflow: hidden; }
div#slider2 figure img { width: 240px; height: 240px; float: left; }
div#slider2 figure { 
  position: relative;
  width: 600%;
  margin: 1;
  left: 0;
  text-align: left;
  font-size: 0;
  animation: 30s slidy2 infinite; 
}